--- docs/conf/httpd.conf.in.~1~	2019-03-01 00:26:03.160010678 +0000
+++ docs/conf/httpd.conf.in	2019-03-01 00:26:09.538521851 +0000
@@ -6,6 +6,12 @@
 # <URL:http://httpd.apache.org/docs/2.4/mod/directives.html>
 # for a discussion of each configuration directive.
 #
+# Solaris Quick Configuration Information
+#
+# 1. Set ServerName if necessary (default is 127.0.0.1)
+# 2. Set ServerAdmin to a valid email address
+#
+#
 # Do NOT simply read the instructions in here without understanding
 # what they do.  They're here only as hints or reminders.  If you are unsure
 # consult the online docs. You have been warned.  
@@ -74,8 +80,8 @@
 # It is usually good practice to create a dedicated user and group for
 # running httpd, as with most system services.
 #
-User daemon
-Group daemon
+User webservd
+Group webservd
 
 </IfModule>
 
@@ -96,7 +102,7 @@
 # e-mailed.  This address appears on some server-generated pages, such
 # as error documents.  e.g. admin@your-domain.com
 #
-ServerAdmin you@example.com
+ServerAdmin you@yourhost.com
 
 #
 # ServerName gives the name and port that the server uses to identify itself.
@@ -105,7 +111,7 @@
 #
 # If your host doesn't have a registered DNS name, enter its IP address here.
 #
-#ServerName www.example.com:@@Port@@
+ServerName 127.0.0.1
 
 #
 # Deny access to the entirety of your server's filesystem. You must
@@ -323,6 +329,10 @@
     #
     #AddType text/html .shtml
     #AddOutputFilter INCLUDES .shtml
+
+    # Add a new mime.type for .p5i file extension so that clicking on 
+    # this file type on a web page launches PackageManager in a Webinstall mode.
+    AddType application/vnd.pkg5.info .p5i
 </IfModule>
 
 #
@@ -364,48 +374,22 @@
 
 # Supplemental configuration
 #
-# The configuration files in the @rel_sysconfdir@/extra/ directory can be 
-# included to add extra features or to modify the default configuration of 
-# the server, or you may simply copy their contents here and change as 
+# Include all the .conf configuration files in the 
+# @rel_sysconfdir@/conf.d/ directory.
+#
+# You can place additional configuration files in the
+# @rel_sysconfdir@/conf.d/ directory to add extra features
+# or to modify the default configuration of the server,
+# or you may simply copy their contents here and change as 
 # necessary.
+#
+# Sample configuration files are in the
+# @rel_sysconfdir@/samples-conf.d directory. To use a 
+# sample .conf file, copy it to  @rel_sysconfdir@/conf.d 
+# directory and modify as required.
+#
+IncludeOptional @rel_sysconfdir@/conf.d/*.conf
 
-# Server-pool management (MPM specific)
-#Include @rel_sysconfdir@/extra/httpd-mpm.conf
-
-# Multi-language error messages
-#Include @rel_sysconfdir@/extra/httpd-multilang-errordoc.conf
-
-# Fancy directory listings
-#Include @rel_sysconfdir@/extra/httpd-autoindex.conf
-
-# Language settings
-#Include @rel_sysconfdir@/extra/httpd-languages.conf
-
-# User home directories
-#Include @rel_sysconfdir@/extra/httpd-userdir.conf
-
-# Real-time info on requests and configuration
-#Include @rel_sysconfdir@/extra/httpd-info.conf
-
-# Virtual hosts
-#Include @rel_sysconfdir@/extra/httpd-vhosts.conf
-
-# Local access to the Apache HTTP Server Manual
-#Include @rel_sysconfdir@/extra/httpd-manual.conf
-
-# Distributed authoring and versioning (WebDAV)
-#Include @rel_sysconfdir@/extra/httpd-dav.conf
-
-# Various default settings
-#Include @rel_sysconfdir@/extra/httpd-default.conf
-
-# Configure mod_proxy_html to understand HTML4/XHTML1
-<IfModule proxy_html_module>
-Include @rel_sysconfdir@/extra/proxy-html.conf
-</IfModule>
-
-# Secure (SSL/TLS) connections
-#Include @rel_sysconfdir@/extra/httpd-ssl.conf
 #
 # Note: The following must must be present to support
 #       starting without SSL on platforms with no /dev/random equivalent
